/*      File:   log.c
        Author: Emory Al-Imam
        Date:   September 30, 2000
        Description:    DMZ core API - Error Message Logger
*/

/* Include Files */
#include <stdio.h>
#include <stdlib.h>
#include "dmzcore.h"

#define DMZLOGFILE "dmzlog.txt"

void dmz_log_init(void);

FILE* dmz_log_file = NULL;

void dmz_logstd(char *msg)
{
	if (dmz_log_file == NULL)
		dmz_log_init();

	fprintf(dmz_log_file, "%s\n", msg);
	
	fflush(dmz_log_file);
}

void dmz_logerr(char *msg)
{
	if (dmz_log_file == NULL)
		dmz_log_init();

	fprintf(dmz_log_file, "ERROR: %s\n", msg);
	
	fflush(dmz_log_file);
}


void dmz_die(char *msg)
{
	if (dmz_log_file == NULL)
		dmz_log_init();

	fprintf(dmz_log_file, "ABORT: %s\n", msg);
	
	fclose(dmz_log_file);

	exit(1);
}

void dmz_log_init(void)
{
	if (dmz_log_file == NULL)
		dmz_log_file = fopen(DMZLOGFILE, "w");
}
