#include <stdio.h>
#include <unistd.h>

#include "dmzgraph.h"

int main(int argc, char *argv[])
{
	int w, h, img, rv;
	
	if (argc != 2)
	{
		fprintf(stderr, "invalid arguments. ");
		fprintf(stderr, "usage: %s <filename.bmp>\n", argv[0]);
		return -1;
	}
	
	rv = dmz_graph_init(NULL);
	printf("init returned %d\n", rv);
	
	rv = dmz_graph_set_mode(800, 600, 32);
	printf("set mode returned %d\n", rv);
	
	img = dmz_graph_load_image(argv[1], &w, &h);
	printf("load image returned %d\n", img);
	
	dmz_graph_blit(img, 0, 0, w, h, 0, 0, 0xFF);
	dmz_graph_blit(img, 128, 128, w - 128, h - 128, w + 32, h + 32, -1);
	dmz_graph_flip();
	
	sleep(5);
	
	dmz_graph_kill();

	return 0;
}
