//------------------------------------------------------------------------------//
// Nancy Montanez
// Main Network file
// Created: Sometime in October
// Modified: Nov. 26, 2000
// Modified: December 18, 2000 -- Unix Version
// Finished: December 20, 2000 -- Unix Version
// Modified: March 1, 2001 -- Unix Version++
//------------------------------------------------------------------------------//

/* Main Headers		*/
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

/* Headers for socket	*/
#include <sys/types.h>
#include <sys/socket.h>

/* Headers for the the locking mechanism	*/
//#include "sys/lock.h"

/* Headers for the the network	*/
#include <netinet/in.h>
#include "dmz_net.h"
#include "dmz_net_internal.h"

/* Socket Variables	*/

/* Globals are bad, drugs are bad, umm-kay?	*/
int init_done = 0;

DMZ_SOCKET sockets[MAX_CONNECT];

/* And the unix equvalence to Windows Critical Section	*/
//lock_t objlock;

//---------------------------------------------------
//Function: dmz_net_init
//
int dmz_net_init(void)
{
	
	int i;

	if (init_done) return DMZ_NET_INIT_ALREADY_DONE;

	for (i = 0; i < MAX_CONNECT; i++)
		sockets[i].s = INVALID_SOCKET;

	// Initialize the critical section
//	lock_init(objlock);

	init_done = 1;
	
	return (DMZ_NET_SUCCESS);
}

//---------------------------------------------------
//Function: dmz_net_kill
//
void dmz_net_kill(void)
{
	int i;

	for(i = 0; i < MAX_CONNECT; i++)
	{
		if(sockets[i].s != INVALID_SOCKET)
		{
			close(sockets[i].s);
		}
		else
			continue;
	}

	// Delete the critical section
//	lock_destroy(objlock);

}
