//--------------------------------------------------------------------------//
// Nancy Montanez
// Written: October 14, 2000
// Modified: November 22, 2000 -- Re-Nancified the code and updated error
//			messages
// Modified Again: Nov 26, 2000 -- More error checking
// Modified Once again: Dec 2, 2000 -- Final version, with refined code and error checking 
// (Are you happy now, Alex? )
// Modified: December 20, 2000 -- Unix Version
// Modified: March 1, 2001 -- Unix Version
//--------------------------------------------------------------------------//
/* Main Headers		*/
#include <stdio.h>
#include <stdlib.h>

/* Headers for socket	*/
#include <sys/types.h>
#include <sys/socket.h>

/* Network Headers	*/
#include <netinet/in.h>
#include "dmz_net.h"
#include "dmz_net_internal.h"

#include <errno.h>
extern int errno;

/* Headers for the locking mechanism	*/
/*#include "sys/lock.h"
*/
//--------------------------------------------------------------------------//
//Function: dmz_send
//

int dmz_send_msg(void *mesg, int size, int connect_id)
{	
	int bytes_sent = 0;

	if (!init_done)
		return DMZ_NET_NOT_INIT;

	if ( (connect_id < 0) || (connect_id > MAX_CONNECT) || 
			(mesg == NULL) || (size <= 0))
				return DMZ_NET_INVALID_PARAM;
	
	bytes_sent = send(sockets[connect_id].s, (const void*) mesg, size, 0);

	if (bytes_sent < 0)
		return DMZ_NET_SEND_ERROR;

	return bytes_sent;
}

//--------------------------------------------------------------------------//
//Function: dmz_receive

int dmz_recv_msg(void *mesg, int size, int connect_id)
{
	
	int bytes_recv = 0;

	if (!init_done)
		return DMZ_NET_NOT_INIT;

	if ( (connect_id < 0) || (connect_id > MAX_CONNECT) || 
			(mesg == NULL) || (size <= 0) )
		return DMZ_NET_INVALID_PARAM;
	
	bytes_recv = recv(sockets[connect_id].s, mesg, size, 0);

	if (bytes_recv == SOCKET_ERROR)
		return DMZ_NET_RECV_ERROR;
	else
		return bytes_recv;
}
//-----------------------END OF sendrecv.cpp--------------------------------//